Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.lucene
Class UrlTokenizingFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.owasp.dependencycheck.data.lucene.AbstractTokenizingFilter
                      org.owasp.dependencycheck.data.lucene.UrlTokenizingFilter

All Implemented Interfaces:
  Closeable

    public final class UrlTokenizingFilter

extends AbstractTokenizingFilter

Takes a TokenStream and splits or adds tokens to correctly index version numbers.

Example: "3.0.0.RELEASE" -> "3 3.0 3.0.0 RELEASE 3.0.0.RELEASE".

Author:
  Jeremy Long (jeremy.long@owasp.org)

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`UrlTokenizingFilter(org.apache.lucene.analysis.TokenStream stream)` Constructs a new VersionTokenizingFilter.

Method Summary
`boolean` | `incrementToken()` Increments the underlying TokenStream and sets CharTermAttributes to construct an expanded set of tokens by concatenating tokens with the previous token.

Methods inherited from class org.owasp.dependencycheck.data.lucene.AbstractTokenizingFilter
`addTerm, getTermAtt, getTokens`

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlTokenizingFilter

    public UrlTokenizingFilter(org.apache.lucene.analysis.TokenStream stream)

  Constructs a new VersionTokenizingFilter.

  Parameters:
    `stream` - the TokenStream that this filter will process

Method Detail

### incrementToken

    public boolean incrementToken()
                           throws IOException

  Increments the underlying TokenStream and sets CharTermAttributes to construct an expanded set of tokens by concatenating tokens with the previous token.

  Specified by:
    `incrementToken` in class `org.apache.lucene.analysis.TokenStream`
  Returns:
    whether or not we have hit the end of the TokenStream
  Throws:
    `IOException` - is thrown when an IOException occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.